Q: I installed Minix on a 640K XT and get a lot of error messages when
I try to do real work.

A: The problem is probably lack of memory. When you run out of memory
errors multiply, and the error message that is printed sometimes isn't
a good indicator of what caused the problem in the first place. 

Here are some hints for using Minix on a 640K machine:

1. 640K just doesn't leave much space for Minix plus other stuff. Don't
try to use the RAM disk unless you absolutely must (i.e., one floppy
drive). If you have two floppies put the root on one of them. This is
only temporary until you can have the root on the hard drive. To
prevent a RAM disk from being created at startup make sure the ramsize
boot parameter is 0 and change the rootdev parameter to "rootdev=bootdev".

2. The ash shell is very big for use on the XT. It is nice, but you may 
want to change the default shell to sh in /etc/passwd. Alternatively, you 
can type "exec sh" when you are about to do something that strains memory.

3. If you want to network an XT it can be done, but you need to streamline
things. The default /etc/rc starts daemons you don't really need. Also,
you should have a separate non-networked small kernel you can boot as an
alternate when you want to do something memory intensive, like recompiling
the kernel. 

4. When things are desperate use exec, i.e, "exec make". When the task 
finishes you have to log in again, but this method gives you more memory.

5. It is possible to recompile the system by issuing "make" in 
/usr/src/tools, but you need a small kernel. It may be easier just to go 
into each directory (kernel, mm, etc.), and do a make in each.

 Albert S. Woodhull
 Hampshire College, Amherst, MA     
 awoodhull@hamp.hampshire.edu   
 http://minix1.hampshire.edu/asw


